=== debian/changelog ===
sundials (4.1.0+dfsg-4) unstable; urgency=medium

  * [5c80d16] Install libsundials_*sunnonlinsol*.so.*. (Closes: #988551)

 -- Anton Gladky <gladk@debian.org>  Sat, 15 May 2021 16:51:20 +0200

sundials (4.1.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Dec 2020 14:20:47 +0100

sundials (4.1.0+dfsg-2) experimental; urgency=medium

  [ Dima Kogan ]
  * Team upload.
  * [dc8951d] Fixed build in gcc-10. Closes: #957847

  [ Anton Gladky ]
  * [97da769] Add .gitlab-ci.yml
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sat, 19 Dec 2020 19:39:39 +0100

sundials (4.1.0+dfsg-1) experimental; urgency=medium

  * [3f224e1] New upstream version 4.1.0+dfsg
  * [54cabfb] Refresh patches
  * [7119e80] Fix Fortran option
  * [d1a4c40] Fix pthreads not building due to typo
  * [409f1c6] Update symbols/install
  * [cc1da71] Update copyrights for moves
  * [bbe5fbf] Update lintian
  * [5660901] Move to using python 3

 -- James Tocknell <aragilar@gmail.com>  Sat, 19 Oct 2019 21:24:18 +0200
